/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const URL_LABEL = i18n.translate('xpack.synthetics.monitorList.table.url.name', {
  defaultMessage: 'Url',
});

export const TAGS_LABEL = i18n.translate('xpack.synthetics.monitorList.table.tags.name', {
  defaultMessage: 'Tags',
});

export const PROJECT_LABEL = i18n.translate('xpack.synthetics.monitorList.table.project.name', {
  defaultMessage: 'Project ID',
});

export const STATUS_UP_LABEL = i18n.translate('xpack.synthetics.monitorList.statusColumn.upLabel', {
  defaultMessage: 'Up',
});

export const STATUS_DOWN_LABEL = i18n.translate(
  'xpack.synthetics.monitorList.statusColumn.downLabel',
  {
    defaultMessage: 'Down',
  }
);

export const STATUS_COMPLETE_LABEL = i18n.translate(
  'xpack.synthetics.monitorList.statusColumn.completeLabel',
  {
    defaultMessage: 'Complete',
  }
);

export const STATUS_FAILED_LABEL = i18n.translate(
  'xpack.synthetics.monitorList.statusColumn.failedLabel',
  {
    defaultMessage: 'Failed',
  }
);

export const SECONDS_LABEL = i18n.translate('xpack.synthetics.seconds.label', {
  defaultMessage: 'seconds',
});

export const SEC_LABEL = i18n.translate('xpack.synthetics.seconds.shortForm.label', {
  defaultMessage: 'sec',
});

export const MS_LABEL = i18n.translate('xpack.synthetics.millisecond.abbreviation.label', {
  defaultMessage: 'ms',
});
