/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const OK = i18n.translate('xpack.synthetics.certs.ok', {
  defaultMessage: 'OK',
});

export const EXPIRED = i18n.translate('xpack.synthetics.certs.expired', {
  defaultMessage: 'Expired',
});

export const EXPIRES_SOON = i18n.translate('xpack.synthetics.certs.expireSoon', {
  defaultMessage: 'Expires soon',
});

export const EXPIRES = i18n.translate('xpack.synthetics.certs.expires', {
  defaultMessage: 'Expires',
});

export const SEARCH_CERTS = i18n.translate('xpack.synthetics.certs.searchCerts', {
  defaultMessage: 'Search certificates',
});

export const STATUS_COL = i18n.translate('xpack.synthetics.certs.list.status', {
  defaultMessage: 'Status',
});

export const TOO_OLD = i18n.translate('xpack.synthetics.certs.list.status.old', {
  defaultMessage: 'Too old',
});

export const COMMON_NAME_COL = i18n.translate('xpack.synthetics.certs.list.commonName', {
  defaultMessage: 'Common name',
});

export const MONITORS_COL = i18n.translate('xpack.synthetics.certs.list.monitors', {
  defaultMessage: 'Monitors',
});

export const ISSUED_BY_COL = i18n.translate('xpack.synthetics.certs.list.issuedBy', {
  defaultMessage: 'Issued by',
});

export const VALID_UNTIL_COL = i18n.translate('xpack.synthetics.certs.list.validUntil', {
  defaultMessage: 'Valid until',
});

export const AGE_COL = i18n.translate('xpack.synthetics.certs.list.ageCol', {
  defaultMessage: 'Age',
});

export const DAYS = i18n.translate('xpack.synthetics.certs.list.days', {
  defaultMessage: 'days',
});

export const FINGERPRINTS_COL = i18n.translate('xpack.synthetics.certs.list.expirationDate', {
  defaultMessage: 'Fingerprints',
});

export const COPY_FINGERPRINT = i18n.translate('xpack.synthetics.certs.list.copyFingerprint', {
  defaultMessage: 'Click to copy fingerprint value',
});

export const NO_CERTS_AVAILABLE = i18n.translate('xpack.synthetics.certs.list.noCerts', {
  defaultMessage: 'No Certificates found.',
});

export const LOADING_CERTIFICATES = i18n.translate('xpack.synthetics.certificates.loading', {
  defaultMessage: 'Loading certificates ...',
});

export const REFRESH_CERT = i18n.translate('xpack.synthetics.certificates.refresh', {
  defaultMessage: 'Refresh',
});

export const settings = {
  breadcrumbText: i18n.translate('xpack.synthetics.settingsBreadcrumbText', {
    defaultMessage: 'Settings',
  }),
  editNoticeTitle: i18n.translate('xpack.synthetics.settings.cannotEditTitle', {
    defaultMessage: 'You do not have permission to edit settings.',
  }),
  editNoticeText: i18n.translate('xpack.synthetics.settings.cannotEditText', {
    defaultMessage:
      "Your user currently has 'Read' permissions for the Uptime app. Enable a permissions-level of 'All' to edit these settings.",
  }),
  mustBeNumber: i18n.translate('xpack.synthetics.settings.blankNumberField.error', {
    defaultMessage: 'Must be a number.',
  }),
};

export const BLANK_STR = i18n.translate('xpack.synthetics.settings.blank.error', {
  defaultMessage: 'May not be blank.',
});

export const SPACE_STR = i18n.translate('xpack.synthetics.settings.noSpace.error', {
  defaultMessage: 'Index names must not contain space',
});
